<div class="rc-panel pink" data-title="Printer Settings">
  
  <form autocomplete="off">
  <!-- <div class='rc-item no-icon' data-title="Original name: {{printer.name}}"></div> -->
    <label>Factory printer name (read only):</label>
    <input type="text" ng-model="printer.name" tabindex="0" placeholder="" maxlength="30" required readonly disabled/>
  
    <label>You can choose a custom name:</label>
    <input type="text" ng-model="newName" tabindex="0" placeholder="" maxlength="30" required autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
    <button ng-click="saveSettings(newName)" class="button">Save settings</button>
  </form>
</div>

<div class="rc-panel pink nopadding localprinters" data-title="Printer States">
  <div class='rc-item no-icon' data-title="Idle: {{printer.idle}}"></div>
  <div class='rc-item no-icon' data-title="Slicing: {{printer.slicing}}"></div>
  <div class='rc-item no-icon' data-title="Heating: {{printer.heating}}"></div>
  <div class='rc-item no-icon' data-title="Printing: {{printer.printing}}"></div>
  <div class='rc-item no-icon' data-title="Stopping: {{printer.stopping}}"></div>
</div>

<div class="rc-panel pink nopadding localprinters" data-title="Temperatures">
  <div class='rc-item no-icon' data-title="Nozzle temperature: {{printer.printer.temperatures.nozzle.current}} / {{printer.printer.temperatures.nozzle.target}}"></div>
  <div class='rc-item no-icon' data-title="Bed temperature: {{printer.printer.temperatures.bed.current}} / {{printer.printer.temperatures.bed.target}}"></div>
</div>

<div class="rc-panel pink nopadding localprinters" data-title="Printer Network Info">
  <div class='rc-item no-icon' data-title="Status: {{printer.statusDescription}}"></div>
  <div class='rc-item no-icon' data-title="Online: {{printer.online}}"></div>
  <div class='rc-item no-icon' data-title="Local: {{printer.isLocal}}"></div>
  <div class='rc-item no-icon' data-title="Wired-client: {{printer.root.ethernetState.state}} ({{printer.root.ethernetAddress.address}})"></div>
  <div class='rc-item no-icon' data-title="WiFi-client: {{printer.root.wifiState.state}} ({{printer.root.wifiSSID.ssid || 'no ssid'}})"></div>
  <div class='rc-item no-icon' data-title="WiFi-hotspot: {{printer.root.hotspotState.state}} ({{printer.root.hotspotSSID.ssid}})"></div>
</div>

<div class="rc-panel pink" data-title="Control Printer">
  <a ng-click="home()" class="button" ng-disabled="printer.root.printerState.state!='idle'">Home Printer</a>
</div>

<div class="rc-panel pink" data-title="Printer Type">
  <form autocomplete="off">
    <label>Printer type:</label>
    <input type="text" ng-model="newType" tabindex="0" placeholder="" maxlength="30" required spellcheck="false"/>
    <button ng-click="updatePrinterType(newType)" class="button">Update printer type</button>
  </form>
</div>


<div class="rc-panel pink" data-title="Uninstall Printer">
  <a class="button secondary button-remove-printer" role="button" ng-click="gotoUninstallPrinter()"><span class="icon icon-remove-printer"></span><p>Uninstall printer</p></a>
  <!-- <a class="button secondary button-remove-printer" role="button" ng-click="forgetNetwork()"><span class="icon icon-remove-printer"></span><p>Forget network</p></a> -->
</div>